<?php

class AvisAuthentiquesAdmin
{
    const API_HOST = 'host.docker.internal';
    const API_PORT = 8443;

    private static $initiated = false;

    public static function init() {
        if ( ! self::$initiated ) {
            self::init_hooks();
        }
    }

    /**
     * Initializes WordPress hooks
     */
    public static function init_hooks() {

        self::$initiated = true;

        add_action( 'admin_init', array( 'AvisAuthentiquesAdmin', 'admin_init' ) );
        add_action( 'admin_menu', array( 'AvisAuthentiquesAdmin', 'admin_menu' ), 100 );
//
        add_filter( 'plugin_action_links', array( 'AvisAuthentiquesAdmin', 'plugin_action_links' ), 10, 2 );
    }

    public static function admin_init() {
        register_setting( 'avis-authentiques-settings', 'avis_authentiques_api_key' );
        register_setting( 'avis-authentiques-settings', 'avis_authentiques_widget_key' );
        register_setting( 'avis-authentiques-settings', 'avis_authentiques_position' );
    }

    public static function admin_menu() {
        add_submenu_page(
            'woocommerce',
            __('Avis Authentiques', 'aa'),
            __('Avis Authentiques', 'aa'),
    'manage_options',
    'avis-authentiques',
            array( __CLASS__, 'admin_page' ),
    50
        );
    }

    /**
     * Render admin page
     */
    public static function admin_page() {
        include_once(  plugin_dir_path( __FILE__ ) . 'views/settings.php' );
    }

    public static function plugin_action_links( $links, $file ) {
        $action_links = array(
            'settings' => '<a href="' . admin_url( 'admin.php?page=avis-authentiques' ) . '" aria-label="' . esc_attr__( 'Paramètrages Avis Authentiques', 'avis-authentiques' ) . '">' . esc_html__( 'Réglages', 'avis-authentiques' ) . '</a>',
        );

        return array_merge( $action_links, $links );
    }

}